### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Canada Class Reference
Calendars

Canadian calendar. More...

`#include <ql/time/calendars/canada.hpp>`

Inheritance diagram for Canada:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, TSX }

## Public Member Functions

| Canada (Market market=Settlement)

## Detailed Description

Canadian calendar.

Banking holidays (data from <http://www.bankofcanada.ca/en/about/holiday.html>):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Family Day, third Monday of February (since 2008)
- Good Friday
- Victoria Day, the Monday on or preceding May 24th
- Canada Day, July 1st (possibly moved to Monday)
- Provincial Holiday, first Monday of August
- Labour Day, first Monday of September
- Thanksgiving Day, second Monday of October
- Remembrance Day, November 11th (possibly moved to Monday)
- Christmas, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

Holidays for the Toronto stock exchange (data from <http://www.tsx.com/en/about_tsx/market_hours.html>):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Family Day, third Monday of February (since 2008)
- Good Friday
- Victoria Day, the Monday on or preceding May 24th
- Canada Day, July 1st (possibly moved to Monday)
- Provincial Holiday, first Monday of August
- Labour Day, first Monday of September
- Thanksgiving Day, second Monday of October
- Christmas, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

## Member Enumeration Documentation

enum Market

Enumerator:

  Settlement | generic settlement calendar
  TSX | Toronto stock exchange calendar.